Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454125 - Review Request: gtest - Google C++ testing framework
Summary: Review Request: gtest - Google C++ testing framework
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rakesh Pandit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-04 22:33 UTC by Debarshi Ray
Modified: 2011-09-14 10:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-26 08:48:53 UTC
rpandit: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Debarshi Ray 2008-07-04 22:33:23 UTC
Spec URL: http://rishi.fedorapeople.org/gtest.spec
SRPM URL: http://rishi.fedorapeople.org/gtest-1.0.0-1.fc8.src.rpm


Description:

Google's framework for writing C++ tests on a variety of platforms (GNU/Linux,
Mac OS X, Windows, Windows CE, and Symbian). Based on the xUnit architecture.
Supports automatic test discovery, a rich set of assertions, user-defined
assertions, death tests, fatal and non-fatal failures, various options for
running the tests, and XML test report generation.

Comment 1 Rakesh Pandit 2008-07-05 19:18:55 UTC
I am not sponsored yet. This is an unofficial review

rpmlint produces no output.

Required:
[x] package and spec file named against package naming guidelines
[x] license tag matches with actual license used. Source and package both have 
identical license copies. Included in %doc
[x] spec file has permissible content, is legible and written in American 
English
[x] md5sum for source (at project page) and source inside srpm meet - 
md5sum 669530b4399d8e02c1c96483bd939f6c
[x] successfully build and compiled on different platforms (used koji to build 
on ppc, ppc64, i386, x86_64)
[x] Build dependency - chrpath listed in BuildRoot
[-] Handle locales -- N/A
[-] relocatable -- N/A
[x] owns all directories created
[x] permissions okay
[x] %clean section present
[x] macros used consistently 
[x] Header files in -devel package
[x] static libraries --disabled
[x] base devel package requirement
     fully versioned dependency
     Requires: %{name} = %{version}-%{release} Checked
[x] *.la libtool archives removed
[x] No GUI --  %{name}.desktop  not required
[x] at beginning of %install and %clean removes buildroot -- Checked
[x] All files are utf-8 
[x] -devel subpackage only has symlinks so ldconfig not required in subpackage
[x] package meets package guideline
                                          

Optional:
[x] Includes license -- no need to query upstream
[x] description and summary translations -- not available
[x] No file dependency outside /etc, /bin/sbin, /usr/bin, /usr/sbin

Key - = N/A, x = Check, ! = Problem, ? = Not evaluated

Package looks Okay to me

Comment 2 Rakesh Pandit 2008-07-23 10:37:35 UTC
I would like to review it officially now. Will review today late or tomorrow.

Comment 3 Rakesh Pandit 2008-07-24 05:26:54 UTC
Package APPROVED
Package build successfully (ppc, ppc64, i386, x86_64)

Required
[x] rpmlint output -- clean
[x] package naming
[x] spec file name
[x] packaging guidlines 
[x] license approved
[x] license field in spec
[x] license file
[x] language used in spec file -- American English
[x] spec file -- legible
[x] Source0 link 
     md5sum
     upstream - 669530b4399d8e02c1c96483bd939f6c 
     package source - 669530b4399d8e02c1c96483bd939f6c 
[x] package build in mock
[x] BuildRequires 
[NA] locales
[NA] relocatable
[x] owns directory it creates in %{doc}
[x] duplicate files not present
[x] %clean & %install section contain rm -rf $RPM_BUILD_ROOT
[x] permissible package content 
[x] file encoding - utf-8
[x] file permissions -- correct
[x] package has no dependency on files in %doc
[NA] GUI
[x] -devel subpackage only has symlinks so ldconfig not required in subpackage
[x] *.la libtool archives removed
[x] base devel package requirement
     fully versioned dependency
     Requires: %{name} = %{version}-%{release} Checked

Optional
[NA] Query upstream regarding license
[NA] Translation for description and summary available
[x] Package build in mock for most of architectures 
[NA] scripts used
[x] No dependencies outside FHS guidelines


Optional suggestions: None

Key NA = N/A, x = Check, ! = Problem, ? = Not evaluated


Comment 4 Debarshi Ray 2008-07-24 10:44:58 UTC
New Package CVS Request
=======================
Package Name: gtest
Short Description: Google C++ testing framework
Owners: rishi
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2008-07-24 18:25:24 UTC
cvs done.

Comment 6 Debarshi Ray 2008-07-26 08:48:53 UTC
Tagged and built for Rawhide.

Comment 7 Akira TAGOH 2011-09-14 01:09:54 UTC
Package Change Request
======================
Package Name: gtest
New Branches: el5 el6
Owners: tagoh
InitialCC: 

To satisfy the dependency of mozc on EPEL, I need this one as well. I'm willing to own this for EPEL since current maintainer seems not that interesting to maintain it on EPEL.

Comment 8 Terje Røsten 2011-09-14 07:34:10 UTC
Thanks for maintaining gtest in epel, Akira.

Comment 9 Gwyn Ciesla 2011-09-14 10:04:02 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.